I'm looking for a part-time remote job.

Hire me


I'm the author of:

Mastering Redmine is a comprehensive guide with tips, tricks and best practices, and an easy-to-learn structure.

Check the book's project or

Buy the book

Social pages of the book:

By buying this book you also donate to Redmine (see this page).


Follow me:

Bug #2082

Redmine 2.x support

Added by Logical And over 8 years ago. Updated over 7 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Target version:
Start date:
30 Jun 2012
Due date:
04 Mar 2013
% Done:

100%

Redmine version:
2.0.2
External issue:

Description

Add please Redmine 2.x support.

Thanks Андрей!

/var/www/redmine/plugins/contact_form/init.rb:6:in `<top (required)>': uninitialized constant RAILS_DEFAULT_LOGGER (NameError)
        from /var/www/redmine/lib/redmine/plugin.rb:129:in `block in load'
        from /var/www/redmine/lib/redmine/plugin.rb:120:in `each'
        from /var/www/redmine/lib/redmine/plugin.rb:120:in `load'

Associated revisions

Revision 33 (diff)
Added by Andriy Lesyuk almost 8 years ago

Fixed routes (#2082)

Revision 35 (diff)
Added by Andriy Lesyuk almost 8 years ago

Fixed #class_inheritable_accessor (#2082)

Revision 36 (diff)
Added by Andriy Lesyuk almost 8 years ago

Fixed contact form for Redmine 2.x.x (#2082)

Revision 37 (diff)
Added by Andriy Lesyuk almost 8 years ago

Fixed Mailer for Rails 3 etc (#2082)

Revision 38 (diff)
Added by Andriy Lesyuk almost 8 years ago

Added layout and template (#2082)

History

#1 Updated by Yehuda Katz about 8 years ago

I would also like to add that I have not been able to get any of your plugins (including this one) to work on Redmine 2.1.2.

#2 Updated by Andriy Lesyuk about 8 years ago

Yehuda Katz wrote:

I would also like to add that I have not been able to get any of your plugins (including this one) to work on Redmine 2.1.2.

Every plugin has the “Supports” field on its overview page, where there are supported Redmine and ChiliProject versions (after ;) listed... I still work on porting plugins to 1.4.x, 2.0.x and 2.1.x. If the plugin, which has the 2.1.x version in the supported list, does not work, please fire the bug report. Otherwise please wait.

#3 Updated by Yehuda Katz about 8 years ago

Andriy Lesyuk wrote:

Every plugin has the “Supports” field on its overview page, where there are supported Redmine and ChiliProject versions (after ;) listed... I still work on porting plugins to 1.4.x, 2.0.x and 2.1.x. If the plugin, which has the 2.1.x version in the supported list, does not work, please fire the bug report. Otherwise please wait.

OK, I missed the ;. Sorry.
I meant to suggest that it seems that all the plugins need the same changes for the new versions. I don’t understand enough yet about the Redmine/Chili plugin architecture, but if you have one plugin that is migrated that I can look at, I will mess around with the other ones myself.

#4 Updated by Andriy Lesyuk about 8 years ago

  • Status changed from New to Open

Issues are not strictly the same, unfortunately... There are some common but usually there is a “bonus” or several.

#5 Updated by Logical And about 8 years ago

This plugin has 2.x support on the overview page.

#6 Updated by Andriy Lesyuk about 8 years ago

Logical And wrote:

This plugin has 2.x support on the overview page.

That stands for ChiliProject 2.x...

#7 Updated by Logical And about 8 years ago

Got it. Would be nice to use it on Redmine 2.x too.

#8 Updated by Andriy Lesyuk almost 8 years ago

  • Target version set to 0.1.0

#9 Updated by Andriy Lesyuk almost 8 years ago

  • Status changed from Open to In Progress
  • % Done changed from 0 to 40

#10 Updated by Logical And almost 8 years ago

That’s fine. Almost half way up passed.

#11 Updated by Andriy Lesyuk almost 8 years ago

  • % Done changed from 40 to 70

#12 Updated by Andriy Lesyuk over 7 years ago

  • Due date set to 04 Mar 2013
  • Status changed from In Progress to Closed
  • % Done changed from 70 to 100

Also available in: Atom PDF

Terms of use | Privacy policy